<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="iso-8859-1"/>

	<xsl:template match="/">
		<H2><CENTER> Estatisticas Totais </CENTER></H2>
		<CENTER>
			<TABLE WIDTH="80%" BORDER="3" BORDERCOLOR="#000000" cellspacing="0" >
				<xsl:apply-templates select="estatisticas"/>
			</TABLE>
		</CENTER>
	</xsl:template>

	<xsl:template match="estatisticas">
		<TR><xsl:apply-templates select="cadeias"/></TR>
		<TR><xsl:apply-templates select="classifMarkablesCadeias"/></TR> 
		<TR><xsl:apply-templates select="classifMarkAnotacao"/></TR> 
	</xsl:template>
	
	<xsl:template match="cadeias">
		<TR>
			<TD colspan="3" align="center"> INFORMAES CADEIAS</TD>
			<TR>
				<TD> N total de cadeias <xsl:value-of select="@totalCadeias"/> </TD>
				<TD> N total de descries definidas <xsl:value-of select="@descrDef"/> </TD>
				<TD> N total de encapsulation <xsl:value-of select="@encapsulation"/> </TD>
			</TR>
			<TR><xsl:apply-templates select="contagemCad"/></TR>
			<TR><TD colspan="10"><center> -------------------------------------------------------------------</center> </TD></TR>
			<xsl:apply-templates select="contagemTxt"/>
		</TR>
	</xsl:template>

	<xsl:template match="contagemCad">
		<TR>
			<TD colspan="3"> <b><xsl:value-of select="@repeticoes"/></b> cadeia(s) com <b><xsl:value-of select="@numElementos"/></b> elementos </TD>
		</TR>
	</xsl:template>
	
	<xsl:template match="contagemTxt">
		<TR>
			<TD colspan="3"> <b><xsl:value-of select="@textos"/></b> texto(s) com <b><xsl:value-of select="@numCadeias"/></b> cadeias </TD>
		</TR>
	</xsl:template>
	
	<xsl:template match="classifMarkablesCadeias">
		<TR>
			<xsl:apply-templates select="classificacao"/>
		</TR>
	</xsl:template>
	
	<xsl:template match="classificacao">
		<TR>
			<TD colspan="3" align="center"> New <b><xsl:value-of select="@new"/></b> | Old <b><xsl:value-of select="@old"/></b> | Associativas <b><xsl:value-of select="@associativas"/></b> | Deictic <b><xsl:value-of select="@deictic"/></b></TD>
			<xsl:apply-templates select="old"/>
			<xsl:apply-templates select="associative"/>
		</TR>
	</xsl:template>
	
	<xsl:template match="old">
		<TR>
			<TD colspan="3" align="center"> OLDs -- Direct <b><xsl:value-of select="@diretas"/></b> | Indirect <b><xsl:value-of select="@indiretas"/></b> | Encapsulation <b><xsl:value-of select="@encapsulation"/></b></TD>
		</TR>
	</xsl:template>
	
	<xsl:template match="associative">
		<TR>		
			<TD colspan="3" align="center">ASSOCIATIVAS--Other-bridging:<b><xsl:value-of select="@other_bridging"/></b> | element-of:<b><xsl:value-of select="@element_of"/></b> | element-of-inv:<b><xsl:value-of select="@element_of_inv"/></b> | subset:<b><xsl:value-of select="@subset"/></b> | part-of:<b><xsl:value-of select="@part_of"/></b> | part-of-inv:<b><xsl:value-of select="@part_of_inv"/></b> | entity-attribute:<b><xsl:value-of select="@entity_attribute"/></b> | possessor-thing:<b><xsl:value-of select="@possessor_thing"/></b></TD>
		</TR>
	</xsl:template>
	
	<xsl:template match="classifMarkAnotacao">
		<TR>
			<TD colspan="3" align="center"> INFORMAES ANOTAO</TD>			
			<TR>
				<TD colspan="3" align="center"> Total Markables : <b><xsl:value-of select="@totalMark"/></b> | Markables sem cadeia : <b><xsl:value-of select="@markSemCadeia"/></b></TD>
			</TR>
			<xsl:apply-templates select="np_nYes"/>
			<xsl:apply-templates select="np_nNo"/>
		</TR>
	</xsl:template>
	
	<xsl:template match="np_nYes">
		<TR>
			<TD colspan="3" align="center"> Total np_n="yes" <b><xsl:value-of select="@Npn_nYes"/></b> </TD>
			<TR><TD colspan="3" align="center">bare_np:<b><xsl:value-of select="@bare_np"/></b> | coord_np:<b><xsl:value-of select="@coord_np"/></b> | def_np:<b><xsl:value-of select="@def_np"/></b> | def_pn:<b><xsl:value-of select="@def_pn"/></b> | dem_np:<b><xsl:value-of select="@dem_np"/></b> | indef_np:<b><xsl:value-of select="@indef_np"/></b> | int_np:<b><xsl:value-of select="@int_np"/></b> | num_np:<b><xsl:value-of select="@num_np"/></b> | pn:<b><xsl:value-of select="@pn"/></b> | poss_np:<b><xsl:value-of select="@poss_np"/></b> | quant_np:<b><xsl:value-of select="@quant_np"/></b> </TD></TR>
		</TR>
	</xsl:template>
	
	<xsl:template match="np_nNo">
		<TR>
			<TD colspan="3" align="center"> Total np_n="no" <b><xsl:value-of select="@np_nNo"/></b> </TD>
			<TR><TD colspan="3" align="center">dem_pro:<b><xsl:value-of select="@dem_pro"/></b> | indef_pro:<b><xsl:value-of select="@indef_pro"/></b> | int_pro:<b><xsl:value-of select="@int_pro"/></b> | num_ana:<b><xsl:value-of select="@num_ana"/></b> | pess_pro:<b><xsl:value-of select="@pess_pro"/></b> | poss_pro:<b><xsl:value-of select="@poss_pro"/></b> </TD></TR>
		</TR>
	</xsl:template>
	
</xsl:stylesheet>